<?php

namespace Modules\Internal\Providers;

use Illuminate\Support\Facades\Event;
use Illuminate\Support\ServiceProvider;
use Modules\Internal\Events\ForgetPassword;
use Modules\Internal\Listeners\SendVerifyEmail;

class EventServiceProvider extends ServiceProvider
{
    // protected $listen = [
    //     ForgetPassword::class => [
    //         SendVerifyEmail::class,
    //     ],
    // ];

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Event::listen(
            ForgetPassword::class,
            [SendVerifyEmail::class, 'handle']
        );
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Get the services provided by the provider.
     *
     * @return array
     */
    public function provides()
    {
        return [];
    }
}
